* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #f0f0f0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: roboto;
}

#logo {
    color: transparent;
    font-size: 0;
    width: 180px;
    height: 60px;
    background-image: url("../img/logo-velez.webp");
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    margin: 0 20px 0 20px;
}

header .navbar {
    background-color: #3a7fff;
}

header .navbar-expand-lg {
    flex-wrap: wrap;
    justify-content: center;
}

.nav-item .nav-link {
    font-family: Roboto;
    font-weight: 500;
    margin: 10px 10px 0 10px;
}

.navbar-nav li a {
    text-align: center;
    color: white;
}

header .navbar>.container-fluid {
    justify-content: end;
}

.carousel-inner {
    margin-bottom: 30px;
}

.carousel-inner div img {
    width: 100%;
}

#nosotros,
#nuestros-productos {
    margin: 20px auto;
    padding: 0;
    display: flex;
    background-color: #3a7fff;
    flex-direction: column;
    box-shadow: 2px 2px 5px 0px rgba(0, 0, 0, 0.75);
}

#nosotros {
    border-radius: 0;
}

#nuestros-productos {
    border-radius: 0;
}

.nosotros-texto,
.nuestros-productos-texto {
    font-family: Montserrat;
    font-weight: 400;
    display: flex;
    justify-content: center;
    text-align: left;
    flex-direction: column;
    padding: 15px;
    color: white;
}

.nosotros-texto p strong,
.nuestros-productos-texto ul li strong {
    font-weight: 700;
}

.nosotros-texto h2,
.nuestros-productos-texto h2 {
    font-family: Roboto;
    font-weight: 700;
    font-size: 2rem;
    margin-bottom: 20px;
}


#nosotros .nosotros-imagen,
#nuestros-productos .nuestros-productos-imagen {
    padding: 0px;
}

#nuestros-productos .nuestros-productos-texto h2 {
    padding-left: 16px;
}

.nosotros-imagen img,
.nuestros-productos-imagen img {
    width: 100%;
}

#galeria {
    display: flex;
    flex-direction: column;
    max-width: 100%;
}

.galeria-titulo a {
    text-align: center;
    display: flex;
    align-items: center;
    gap: 10px;
    margin: 20px auto;
    text-decoration: none;
    color: black;
    width: fit-content;
}

.galeria-titulo h2 {
    font-size: 2rem;
    font-family: montserrat;
    font-weight: 600;
    margin: 0;
}

.fa-instagram,
.fa-linkedin,
.fa-twitter,
.fa-facebook {
    font-size: 2rem;
}

.galeria-fotos {
    display: grid;
    grid-template-rows: auto auto;
    grid-template-columns: auto auto auto;
}

.galeria-fotos img {
    width: 100%;
    filter: grayscale(0.8);
    transition: 0.7s;
}

.galeria-fotos>img:hover {
    transition: 0.3s;
    filter: grayscale(0);
}

.list-group .list-group-item-custom {
    background-color: #3a7fff;
    color: white;
    border: none;
}

.tarjetas {
    display: grid;
    grid-template-columns: auto;
    justify-content: space-evenly;
    margin: 30px auto;
}

.card {
    width: 23rem;
    margin: 15px auto;
}

.precio,
.caja-boton-comprar button {
    font-weight: 500;
}

.card-title {
    font-family: roboto;
    font-weight: 500;
    color: white;
}

.card-text {
    color: white;
    font-family: montserrat;
    font-weight: 400;
}

.card-body {
    background-color: #3a7fff;
    color: rgb(0, 0, 0);
}

#modal-body-comprar {
    background-color: #3a7fff;
    border-radius: 0;
}

.modal-footer button {
    background-color: #3a7fff;
}

.card-link-comprar {
    background-color: rgb(93, 173, 93);
    padding: 14px 10px 14px 10px;
    text-decoration: solid;
    color: rgb(0, 0, 0);
}

.caja-boton-comprar {
    padding: 5%;
    display: flex;
    justify-content: center;
}

.card-link {
    background-color: #3a7fff;
    padding: 10px 40px;
    border: none;
    border-radius: 15px;
    text-decoration: solid;
    color: rgb(255, 255, 255);
    box-shadow: 1px 1px 2px 0px rgba(0, 0, 0, 0.5);
}

.card-link:hover {
    color: rgba(255, 255, 255, 0.7)
}

.list-group-flush {
    font-family: montserrat;
}

#Contacto {
    margin: 20px auto 0 auto;
    padding: 20px;
    background-color: #3a7fff;
}

.contenedor-contacto {
    max-width: 960px;
    margin: auto;
    width: 100%;
    display: flex;
    gap: 20px;
    flex-direction: column;
}

.contenedor-formulario {
    padding: 20px;
}

.contenedor-formulario h2 {
    font-weight: 500;
    font-size: 1.5rem;
    margin-bottom: 1rem;
    color: white;
}

.form-contacto {
    display: grid;

}

.form-label {
    font-weight: 500;
    margin: 20px 0 10px 0;
    color: white;
}

.form-contacto input {
    width: 100%;
    font-size: 0.9rem;
    padding: 10px;
    border-radius: 10px;
    border: none;
}

form {
    margin-top: 20px;
    font-family: montserrat;
}

.mb-3 .form-control {
    border-radius: 10px;
}

.form-contacto .boton-formulario {
    font-weight: 600;
    background-color: #ffffff;
    border-radius: 0;
    margin-top: 30px;
    box-shadow: 1px 1px 3px 0px rgba(0, 0, 0, 0.75);
    color: rgb(0, 0, 0);
}

.mapa {
    height: 300px;
    padding: 20px;
}

.mapa iframe {
    width: 100%;
    height: 100%;
}

.modal-body {
    text-align: center;
    background-color: #f0f0f0;
    color: white;
    font-family: montserrat;
    font-weight: 500;
    border-bottom-left-radius: var(--bs-modal-inner-border-radius);
    border-bottom-right-radius: var(--bs-modal-inner-border-radius);
}

.texto-alumnos {
    color: black;
}

.imagen-alumno {
    margin-bottom: 20px;
}

.imagen-alumno img {
    border-radius: 50%;
    box-shadow: 1px 1px 3px 0px rgba(0, 0, 0, 0.75);
}

.mail-alumnos {
    background-color: rgba(var(--bs-link-color-rgb), var(--bs-link-opacity, 1));
    padding: 10px 20px;
    border-radius: 10px;
    border-color: #3a7fff;
    text-decoration: none;
    color: rgb(255, 255, 255);
}

.redes {
    margin-top: 20px;
    list-style: none;
    display: flex;
    justify-content: center;
    padding-left: 0;
    gap: 15px;
}

.logo-redes {
    width: 50px;
    padding: 0 5px;
    margin-left: 5px;
}

.pie-pagina {
    width: 100%;
    background-color: #4e4e4e;
}

.pie-pagina .grupo1 {
    width: 100%;
    margin: auto;
    max-width: 1200px;
}

.box figure,
.box-nosotros,
.box-conocenos,
.footer-alumnos {
    display: flex;
    justify-content: center;
}

.caja-contenido-footer {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}

.box-conocenos,
.box-nosotros,
.footer-alumnos {
    flex: 1;
}

.box-nosotros {
    flex-direction: column;
    text-align: center;
    margin: 20px;
}

.box-nosotros h3,
.box-conocenos h3 {
    color: white;
}

.logo-footer {
    width: 200px;
    margin: 20px 0;
}

.box-nosotros ul {
    padding-left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.box-nosotros li {
    list-style: none;
    padding: 0 20px;
    margin: 5px;
}

.box-nosotros li a {
    color: rgb(255, 255, 255);
}

.img-footer {
    width: 60px;
    height: 60px;
    margin: 10px;
}

.boton-alumnos {
    background-color: #3a7fff;
    padding: 10px 20px;
    border-radius: 10px;
    border: none;
    font-family: montserrat;
    font-weight: 500;
    color: white;
    margin-top: 40px;
    box-shadow: 1px 1px 3px 0px rgba(0, 0, 0, 0.75);
    margin: 0 auto 20px auto;
}

.box-conocenos {
    flex-direction: column;
    text-align: center;
    margin: 20px;
}

.grupo2 {
    background-color: #f0f0f0;
    text-align: center;
}

.grupo2 small {
    font-family: montserrat;
    color: rgb(0, 0, 0);
    font-size: 500;
}

@media (max-width: 380px) {
    .card {
        width: 100%;
    }
}

@media (min-width: 576px) {

    .tarjetas {
        grid-template-columns: auto auto;
    }

    #nosotros {
        border-top-left-radius: 20px;
        border-top-right-radius: 20px;
    }

    #nuestros-productos {
        border-bottom-left-radius: 20px;
        border-bottom-right-radius: 20px;
    }

    .promocion-carousel .texto-carousel p {
        font-size: 2rem;
    }

    .card {
        width: 16rem;
    }

}

@media (min-width: 768px) {

    #beneficios {
        flex-direction: row;
    }

    #beneficios .cajas-beneficios {
        display: flex;
        align-items: center;
        border-right: 2px #3a7fff solid;
        border-bottom: 0;
        width: 33%;
        justify-content: center;
    }

    #beneficios .cajas-beneficios .parrafos-beneficios {
        margin-right: 5px;
        text-align: left;
    }

    #beneficios .cajas-beneficios img {
        margin-left: 10px;
    }

    #beneficios .cajas-beneficios:nth-of-type(3) {
        border-right: none;
    }

    .contenedor-contacto {
        flex-direction: row;
    }

    .contenedor-formulario {
        width: 50%;
    }

    .mapa {
        width: 50%;
        height: auto;
    }

    .card {
        width: 19rem;
    }

    .caja-contenido-footer {
        display: flex;
        align-items: flex-start;
        flex-direction: row;
        justify-content: space-around;
    }

    .box-conocenos,
    .box-nosotros,
    .footer-alumnos {
        margin: 0;
    }
}

@media (min-width: 992px) {

    #logo {
        margin-left: 100px;
    }

    .navbar-expand-lg .navbar-collapse {
        display: flex !important;
        flex-basis: auto;
        justify-content: end
    }

    header .navbar-expand-lg {
        flex-wrap: nowrap;
        justify-content: center;
    }

    .navbar-nav {
        margin-right: 100px;
    }

    #navbarNav ul li a {
        color: white;
        margin: 10px;
    }

    #navbarNav ul li:hover a {
        color: rgba(255, 255, 255, 0.7);
    }

    .promocion-carousel,
    #nosotros,
    #nuestros-productos {
        flex-direction: row;
    }

    #nosotros .nosotros-texto,
    #nosotros .nosotros-imagen,
    .promocion-carousel .texto-carousel,
    .promocion-carousel img,
    #nuestros-productos .nuestros-productos-imagen,
    #nuestros-productos .nuestros-productos-texto {
        width: 50%;
    }

    #nosotros {
        border-top-right-radius: 0;
        border-bottom-left-radius: 20px;
    }

    #nuestros-productos {
        border-top-right-radius: 20px;
        border-bottom-left-radius: 0;
    }

    .galeria-fotos {
        display: grid;
        grid-template-rows: auto;
        grid-template-columns: auto auto auto auto auto auto;
    }

    .tarjetas {
        grid-template-columns: auto auto auto;
    }


}

@media (min-width: 1200px) {

    .nosotros-texto h2,
    .nuestros-productos-texto h2 {
        margin-bottom: 50px;
    }

    h3 {
        font-size: 1.5rem;
    }

    .card {
        width: 21rem;
    }

}